import { IAdvancedBoxPlotData } from '../internal';
import Column, { IColumnDesc } from './Column';
import CompositeColumn from './CompositeColumn';
import { IKeyValue } from './IArrayColumn';
import { IDataRow, IGroupData } from './interfaces';
import { EAdvancedSortMethod, INumberFilter, INumbersColumn } from './INumberColumn';
import { IMappingFunction } from './MappingFunction';
export declare function createImpositionsDesc(label?: string): {
    type: string;
    label: string;
};
export default class ImpositionCompositesColumn extends CompositeColumn implements INumbersColumn {
    static readonly EVENT_MAPPING_CHANGED: string;
    constructor(id: string, desc: Readonly<IColumnDesc>);
    readonly label: string;
    private readonly wrapper;
    getLabel(row: IDataRow): string;
    getColor(row: IDataRow): string | null;
    protected createEventList(): string[];
    readonly labels: string[];
    readonly dataLength: number | null;
    getValue(row: IDataRow): any;
    getNumber(row: IDataRow): number;
    getRawNumber(row: IDataRow): number;
    getNumbers(row: IDataRow): number[];
    getRawNumbers(row: IDataRow): number[];
    getBoxPlotData(row: IDataRow): IAdvancedBoxPlotData | null;
    getRawBoxPlotData(row: IDataRow): IAdvancedBoxPlotData | null;
    getMapping(): IMappingFunction;
    getOriginalMapping(): IMappingFunction;
    getSortMethod(): string;
    setSortMethod(value: EAdvancedSortMethod): void;
    isMissing(row: IDataRow): boolean;
    setMapping(mapping: IMappingFunction): void;
    getFilter(): INumberFilter;
    setFilter(value?: INumberFilter): void;
    getRange(): [string, string];
    getMap(row: IDataRow): IKeyValue<number>[];
    getMapLabel(row: IDataRow): IKeyValue<string>[];
    getLabels(row: IDataRow): string[];
    getValues(row: IDataRow): number[];
    compare(a: IDataRow, b: IDataRow): any;
    group(row: IDataRow): any;
    groupCompare(a: IGroupData, b: IGroupData): any;
    insert(col: Column, index: number): Column | null;
    protected insertImpl(col: Column, index: number): Column;
    protected removeImpl(child: Column, index: number): boolean;
}
